Package: org.codehaus.groovy.runtime

## [Java] Class Reflector

- org.codehaus.groovy.runtime.Reflector

- Provides as alternative to reflection using bytecode generation.

  Authors:
    James Strachan
  Version:
    \$Revision: 4247 \$

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Object` | `invoke(CachedMethod method, Object object, Object[] arguments)`
    `protected Object` | `noSuchMethod(CachedMethod method, Object object, Object[] arguments)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public Object invoke(CachedMethod method, Object object, Object[] arguments)

    - #### protected Object noSuchMethod(CachedMethod method, Object object, Object[] arguments)